=== modified file 'drizzled/session/cache.cc'
--- drizzled/session/cache.cc	2011-02-09 00:29:59 +0000
+++ drizzled/session/cache.cc	2011-02-12 10:59:03 +0000
@@ -34,7 +34,7 @@
 namespace session
 {
 
-Session::shared_ptr Cache::find(const session_id_t &id)
+Cache::session_shared_ptr Cache::find(const session_id_t &id)
 {
   boost::mutex::scoped_lock scopedLock(_mutex);
 
@@ -46,7 +46,7 @@
     }
   }
 
-  return Session::shared_ptr();
+  return session_shared_ptr();
 }
 
 void Cache::shutdownFirst()
@@ -76,13 +76,13 @@
   return cache.size();
 }
 
-void Cache::insert(Session::shared_ptr &arg)
+void Cache::insert(session_shared_ptr &arg)
 {
   boost::mutex::scoped_lock scopedLock(_mutex);
   cache.push_back(arg);
 }
 
-void Cache::erase(Session::shared_ptr &arg)
+void Cache::erase(session_shared_ptr &arg)
 {
   list::iterator iter= std::find(cache.begin(), cache.end(), arg);
   assert(iter != cache.end());

